# Example service file for Snort
#
# NOTE: Not currently used in Debian as the interface needs to 
# be defined in the ExecStart and systemd does not allow for
# the use of variables from multiple environment files
# (we need /etc/default/snort and /etc/snort/snort.debian.conf)

[Unit]
Description=Snort network intrusion detection system
After=syslog.target network.target

[Service]
Type=simple
Environment=PARAMS="-m 027 -D -d" SNORTUSER=snort SNORTGROUP=snort LOGDIR="/var/log/snort" INTERFACES="eth0"
EnvironmentFile=/etc/default/snort
ExecStart=snort $PARAMS -u $SNORTUSER -g $SNORTGROUP -c /etc/snort/snort.conf -l $LOGDIR -i $INTERFACES

[Install]
WantedBy=multi-user.target
